Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Ref_Rep_Directive Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Ref_Rep_Directive:

[legend]
Collaboration diagram for TAO_PSDL_Ref_Rep_Directive:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Ref_Rep_Directive (TAO_PSDL_Node *simple_declarator)
| ****************************************************************
virtual | ~TAO_PSDL_Ref_Rep_Directive (void)
TAO_PSDL_Node * | simple_declarator (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | simple_declarator_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Ref_Rep_Directive::TAO_PSDL_Ref_Rep_Directive | ( | TAO_PSDL_Node * | simple_declarator | ) |

| ****************************************************************

TAO_PSDL_Ref_Rep_Directive::~TAO_PSDL_Ref_Rep_Directive | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Ref_Rep_Directive::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Ref_Rep_Directive::simple_declarator | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Ref_Rep_Directive::simple_declarator_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp